/**
 * Copyright (c) 2007 admaDIC GbR. All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met:
 * 
 *    1. Redistributions of source code must retain the above copyright 
 *       notice, this list of conditions and the following disclaimer.
 * 
 *    2. Redistributions in binary form must reproduce the above 
 *       copyright notice, this list of conditions and the following 
 *       disclaimer in the documentation and/or other materials provided 
 *       with the distribution.
 * 
 *    3. All advertising materials mentioning features or use of this 
 *       software must display the following acknowledgement: 
 * 
 *       This product includes software developed by Rainer Schwarze, admaDIC.
 * 
 *    4. Neither the name Rainer Schwarze, admaDIC nor the names of its 
 *       contributors may be used to endorse or promote products derived 
 *       from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF 
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGE.
 */
package de.admadic.papers.reflection.inspected;

/**
 * @author Rainer Schwarze
 *
 */
public class AtdA {

	/**
	 * Creates an instance.
	 */
	public AtdA() {
		super();
	}

	/**
	 * An annotated method.
	 */
	@AnnA(int_=42)
	public void atdMethod() {
		/* nothing */
	}

	/**
	 * Deprecated.
	 */
	@Deprecated
	public void deprecatedMethod() {
		/* nothing */
	}

	/**
	 * @param p1
	 * @param i1
	 */
	public void methodWithParameterAnnotation(
			@AnnB(stringB="p1", intB_=5)
			String p1,
			@AnnB(stringB="i1", intB_=6)
			Integer i1
			) {
		/* nothing */
	}

	/**
	 * @param p1
	 * @param p2
	 * @param p3
	 */
	@AnnB
	public void methodWithParameterAnnotation(
			@AnnB(stringB="p1", intB_=5)	String p1,
											String p2,
			@AnnB(stringB="p3", intB_=7)
			@AnnC(stringC="p3c")			String p3
	) {
		/* nothing */
	}
}
