/**
 * Copyright (c) 2007 admaDIC GbR. All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met:
 * 
 *    1. Redistributions of source code must retain the above copyright 
 *       notice, this list of conditions and the following disclaimer.
 * 
 *    2. Redistributions in binary form must reproduce the above 
 *       copyright notice, this list of conditions and the following 
 *       disclaimer in the documentation and/or other materials provided 
 *       with the distribution.
 * 
 *    3. All advertising materials mentioning features or use of this 
 *       software must display the following acknowledgement: 
 * 
 *       This product includes software developed by Rainer Schwarze, admaDIC.
 * 
 *    4. Neither the name Rainer Schwarze, admaDIC nor the names of its 
 *       contributors may be used to endorse or promote products derived 
 *       from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF 
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGE.
 */
package de.admadic.papers.reflection.inspected;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author Rainer Schwarze
 *
 */
public class ClassList {
	static List<Class<?>> list = new ArrayList<Class<?>>();
	static {
		list.add(A.class);
		list.add(SubA.class);
		list.add(GenA.class);
		list.add(GenA_Int.class);
		list.add(GenItfA.class);
		list.add(GenAbstractA.class);
		list.add(GenB.class);
		list.add(Sub1GenB.class);
		list.add(Sub2GenB.class);
		list.add(Sub3GenB.class);
		list.add(ItfA.class);
		list.add(ItfB.class);
		list.add(ItfSubA.class);
		list.add(ImplItfA.class);
		list.add(ImplItfAB.class);
		list.add(Enc.class);
		list.add(AnnA.class);
		list.add(AnnB.class);
		list.add(AnnC.class);
		list.add(AtdA.class);
		list.add(Exc.class);

		list.add(Class.class);
		list.add(java.lang.Object.class);
		list.add(java.lang.reflect.Method.class);
		list.add(java.lang.reflect.TypeVariable.class);
	}

	/**
	 * @return	Returns an iterator for the classes to be inspected.
	 */
	static public Iterator<Class<?>> iterator() {
		return list.iterator();
	}
}
